After updating meteor 1.2.1 to 1.3 I got and error while build command


#1

After updating meteor 1.2.1 to 1.3 I got and error while build command. But this error occurred only when crosswalk package is added in project.

UNEXPECTED TOP-LEVEL EXCEPTION:
java.lang.RuntimeException: Translation has been interrupted
at com.android.dx.command.dexer.Main.processAllFiles(Main.java:608)
at com.android.dx.command.dexer.Main.runMonoDex(Main.java:311)
at com.android.dx.command.dexer.Main.run(Main.java:277)
at com.android.dx.command.dexer.Main.main(Main.java:245)
at com.android.dx.command.Main.main(Main.java:106)
Caused by: java.lang.InterruptedException: Too many errors
at com.android.dx.command.dexer.Main.processAllFiles(Main.java:600)
… 4 more

FAILED

FAILURE: Build failed with an exception.

  • What went wrong:
    Execution failed for task ‘:transformClassesWithDexForArmv7Release’.

com.android.build.api.transform.TransformException: com.android.ide.common.process.ProcessException: org.gradle.process.internal.ExecException: Process ‘command ‘/Library/Java/JavaVirtualMachines/jdk1.8.0_77.jdk/Contents/Home/bin/java’’ finished with non-zero exit value 2

  • Try:
    Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 30.188 secs
=> Errors executing Cordova commands:

While building Cordova app for platform Android:
Error code 1 for command: /Users/user/Documents/Workspace/April/13/chat-app-update-meteor_1_3/.meteor/local/cordova-build/platforms/android/gradlew with args:
cdvBuildRelease,-b,/Users/user/Documents/Workspace/April/13/chat-app-update-meteor_1_3/.meteor/local/cordova-build/platforms/android/build.gradle,-Dorg.gradle.daemon=true,-Pandroid.useDeprecatedNdk=true


#2

I had the same issue and fixed it with upgrading to Java 7 / JDK 1.7.


#3

but i have jdk 1.8 updated